#! /bin/sh

if [ -z "$JAVA_HOME" ] ; then
  JAVA=`which java`
  if [ -z "$JAVA" ] ; then
    echo "Cannot find JAVA. Please set your PATH."
    exit 1
  fi
  JAVA_BIN=`dirname $JAVA`
  JAVA_HOME=$JAVA_BIN/..
fi

if [ -f "servlet/lib/pytheas.jar" ] ; then
   mv servlet/lib/pytheas.jar servlet/lib/pytheas.jar.old
fi

if [ -f "pytheas/WebOnt.class" ] ; then
   rm pytheas/*.class
fi

JAVAC=$JAVA_HOME/bin/javac
JAR=$JAVA_HOME/bin/jar

CLASSPATH=`echo servlet/lib/*.jar | tr ' ' ':'`
CLASSPATH=servlet/lib/ant_1.3.jar:$CLASSPATH:$JAVA_HOME/lib/tools.jar


$JAVAC -classpath $CLASSPATH pytheas/*.java

if [ -f "pytheas/WebOnt.class" ] ; then
   $JAR cvf servlet/lib/pytheas.jar pytheas/*.class pytheas/*.xml
else
   mv servlet/lib/pytheas.jar.old servlet/lib/pytheas.jar
fi
