/*
 * CrosswalkList.java - a simple linked list for storing processing rules.
 *
 * 		Art Rhyno (arhyno@uwindsor.ca), June 1999
 *		(c) Copyright GNU General Public License (GPL)
 *
 */

//PYTHEAS
package pytheas;

public class CrosswalkList
{
	private static CrosswalkList c_head = null;
	private static CrosswalkList c_tail = null;
    
	private CrosswalkList	c_next;
	private CrosswalkEntry	c_cwObject;
    
    	public static void Add(CrosswalkEntry se)
    	{
		CrosswalkList cl = new CrosswalkList();
	
		cl.c_cwObject = se;
		cl.c_next = null;
	
		if (c_head == null)
		{
		    c_head = cl;
		    c_tail = cl;
		} else {
		    c_tail.c_next = cl;
	    	c_tail = cl;
		}//if c_head
    	}//Add
    
    	public static CrosswalkList Next(CrosswalkList cl)
    	{
		if (cl == null) 
	    		return c_head;
		return cl.c_next;
    	}//Next
    
    	public CrosswalkEntry Data()
    	{
		return c_cwObject;
    	}//Data

}//CrosswalkList
