/*
 * MarcVarTagSubf.java - load representation of MarcVarTagSubf object.
 *
 * 		Art Rhyno (arhyno@uwindsor.ca), Aug. 1999
 *		(c) Copyright GNU General Public License (GPL)
 *
 *
 */

//PYTHEAS
package pytheas;

//Standard Java
import java.util.Date;
import java.util.Collection;
import java.util.Enumeration;

//Castor
import org.exolab.castor.jdo.Database;
import org.exolab.castor.jdo.Persistent;
import org.exolab.castor.jdo.TimeStampable;

public class MarcVarTagSubf implements Persistent, TimeStampable
{

	private int		_id;

	private Database 	_db;

	private MarcVarTag	_marcVarTag;

	private int		_seqNo;

	private String		_subfCode;

    	private String		_subfValue;

    	private Date		_creationTime;

    	private Date		_modificationTime;

	private long		_timeStamp;

    	public int getId()
    	{
        	return _id;
    	}//getId

    	public void setId( int id )
    	{
        	_id = id;
    	}//setId

    	public int getSeqNo()
    	{
        	return _seqNo;
    	}//getSeqNo

    	public void setSeqNo( int seqNo)
    	{
        	_seqNo = seqNo;
    	}//setSeqNo

    	public String getSubfValue()
    	{
        	return _subfValue;
    	}//getSubfValue

    	public void setSubfValue( String subfValue )
    	{
        	_subfValue = subfValue;
    	}//setSubfValue

    	public String getSubfCode()
    	{
        	return _subfCode;
    	}//getSubfCode

    	public void setSubfCode( String subfCode )
    	{
        	_subfCode = subfCode;
    	}//setSubfCode

    	public MarcVarTag getMarcvartag()
    	{
        	return _marcVarTag;
    	}//getMarcvartag

    	public void setMarcvartag( MarcVarTag marcVarTag )
    	{
        	_marcVarTag = marcVarTag;
    	}//setMarcvartag

    	public String toString()
    	{
        	return _id + " " + _seqNo + " " + _subfCode + " " + _subfValue;
    	}//toString

	public void jdoPersistent( Database db )
    	{
        	_db = db;
    	}//jdoPersistent

    	public void jdoTransient()
    	{
        	_db = null;
    	}//jdoTransient

    	public Class jdoLoad(short accessMode)
    	{
		return MarcVarTagSubf.class;
    	}//jdoLoad

    	public void jdoBeforeCreate( Database db )
    	{
        	_creationTime = new Date();
    	}//jdoBeforeCreate

    	public void jdoAfterCreate()
    	{
    	}//jdoAfterCreate

    	public void jdoStore(boolean modified)
    	{
       		if ( modified )
            		_modificationTime = new Date();

    	}//jdoStore

    	public void jdoBeforeRemove()
    	{
    	}//jdoBeforeRemove

    	public void jdoAfterRemove()
    	{
    	}//jdoAfterRemove

    	public void jdoUpdate()
    	{
    	}//jdoUpdate

    	public void setCreationTime( Date creationTime )
    	{
        	_creationTime = creationTime;
    	}//setCreationTime

    	public Date getCreationTime()
    	{
        	return _creationTime;
    	}//getCreationTime

    	public void setModificationTime( Date modificationTime )
    	{
        	_modificationTime = modificationTime;
    	}//setModificationTime

    	public Date getModificationTime()
    	{
        	return _modificationTime;
    	}//getModificationTime

    	public long jdoGetTimeStamp()
    	{
        	return _timeStamp;
    	}//jdoGetTimeStamp

    	public void jdoSetTimeStamp( long timeStamp )
    	{
        	_timeStamp = timeStamp;
    	}//jdoSetTimeStamp

}//MarcVarTagSubf
