<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" version ="1.0" xmlns:HTML="http://www.w3.org/Profiles/XHTML-transitional">


  <xsl:template match="/">
    <html><head>
      <meta name="author" content="PYTHEAS"/>
      <title>bib list</title>
    </head>
    <body bgcolor="#FFFFFF" text="#000000">

      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td bgcolor="#666699" align="left" width="254">
             <a href="http://www.loc.gov/marc/">
		MARC Display
             </a>
          </td>
          <td bgcolor="#ffffff" align="left" height="11" width="3600"></td>
        </tr>
      </table>
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td bgcolor="#666699" align="left" width="100">&#xA0;</td>
          <td bgcolor="#ffffff" align="left" height="11" width="3600">
            <blockquote><br/>
		<xsl:apply-templates select="records"/>
            </blockquote>
          </td>
        </tr>
      </table>
    </body></html>
  </xsl:template>

  <xsl:template match="records">
    <table cellpadding="4" cellspacing="2" border="1" bordercolor="#666699">
      <tr>
        <td><b>Table ID</b></td>
        <td><b>MARC Tag</b></td>
        <td><b>Ind1</b></td>
        <td><b>Ind2</b></td>
        <td><b>Subfield Info</b></td>
      </tr>
      <xsl:apply-templates select="bib"/>
    </table>
  </xsl:template>

  <xsl:template match="bib">
	<tr>
	<xsl:variable name="bib_id" select="@id"/>
	<td><strong>Bib: 
		<a href="pyxml?loadDirect={id}"><xsl:value-of select="@id"/>
		</a></strong></td>
	</tr>
      <xsl:for-each select="vartags">
	<tr>
      <td><xsl:value-of select="@id"/></td>
      <td><xsl:value-of select="@tag-name"/></td>
      <td><xsl:value-of select="@ind1"/><xsl:if test="@ind1[.=' ']">b</xsl:if></td>
      <td><xsl:value-of select="@ind2"/><xsl:if test="@ind2[.=' ']">b</xsl:if></td>
	<td><small>
      <xsl:for-each select="subfs">$
	<xsl:value-of select="subf-code"/>
	<xsl:value-of select="subf-value"/>
	      </xsl:for-each>
<br/></small></td>
    </tr>
      </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
